Package be.e_contract.ejsf.component.announcement

# Class AnnouncementVersionsRenderer

java.lang.Object
javax.faces.render.Renderer
be.e_contract.ejsf.component.announcement.AnnouncementVersionsRenderer

public class AnnouncementVersionsRenderer extends javax.faces.render.Renderer

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`RENDERER_TYPE`

### Fields inherited from class javax.faces.render.Renderer

`PASSTHROUGH_RENDERER_LOCALNAME_KEY`

## Constructor Summary

Constructors
Constructor
Description
`AnnouncementVersionsRenderer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`encodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void`
`encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void`
`encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`boolean`
`getRendersChildren()`

### Methods inherited from class javax.faces.render.Renderer

`convertClientId, decode, getConvertedValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### RENDERER_TYPE

public static final String RENDERER_TYPE

See Also:
  - Constant Field Values

## Constructor Details

### AnnouncementVersionsRenderer

public AnnouncementVersionsRenderer()

## Method Details

### getRendersChildren

public boolean getRendersChildren()

Overrides:
  `getRendersChildren` in class `javax.faces.render.Renderer`

### encodeBegin

public void encodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component) throws IOException

Overrides:
  `encodeBegin` in class `javax.faces.render.Renderer`
Throws:
  `IOException`

### encodeChildren

public void encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component) throws IOException

Overrides:
  `encodeChildren` in class `javax.faces.render.Renderer`
Throws:
  `IOException`

### encodeEnd

public void encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component) throws IOException

Overrides:
  `encodeEnd` in class `javax.faces.render.Renderer`
Throws:
  `IOException`